Bug 1283402 - Heat templates provisioning only to admin tenant
Heat templates provisioning only to admin tenant
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Bill Wei
Pavol Kotvan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 16:20 EST by Brandon Johnson
Modified: 2015-12-08 08:48 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:48:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Johnson 2015-11-18 16:20:15 EST
Description of problem:
heat templates are only provisioning to the admin tenant even after selecting a tenant from the dynamic dropdown.

Version-Release number of selected component (if applicable):
5.5.0.11

How reproducible:
every time

Steps to Reproduce:
1. select a different tenant other then admin from the dynamic dropdown in the service catalog item.
2. 
3.

Actual results:
heat templates provision to admin tenant

Expected results:
heat templates should provision to specified tenant

Additional info:
an appliance is running in 10.11.164.105
Comment 3 CFME Bot 2015-11-20 17:05:18 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/db4a729ab1aa079dc2845ba9fad82a9e5d15264d

commit db4a729ab1aa079dc2845ba9fad82a9e5d15264d
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Thu Nov 19 13:58:18 2015 -0500
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Nov 20 15:33:54 2015 -0500

    Fix create a stack in non-default cloud tenant
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283402

 .../providers/openstack/cloud_manager/orchestration_stack.rb |  8 +++++---
 app/models/orchestration_stack.rb                            |  2 ++
 spec/factories/cloud_tenants.rb                              |  3 +++
 .../openstack/cloud_manager/orchestration_stack_spec.rb      | 12 ++++++++----
 4 files changed, 18 insertions(+), 7 deletions(-)
Comment 4 CFME Bot 2015-11-20 21:03:36 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=212851fc9b9ac76767e466418d6b7863cf9e3795

commit 212851fc9b9ac76767e466418d6b7863cf9e3795
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Thu Nov 19 13:58:18 2015 -0500
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Nov 20 17:04:05 2015 -0500

    Fix create a stack in non-default cloud tenant
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283402

 .../providers/openstack/cloud_manager/orchestration_stack.rb |  8 +++++---
 app/models/orchestration_stack.rb                            |  2 ++
 spec/factories/cloud_tenants.rb                              |  3 +++
 .../openstack/cloud_manager/orchestration_stack_spec.rb      | 12 ++++++++----
 4 files changed, 18 insertions(+), 7 deletions(-)
Comment 5 CFME Bot 2015-11-20 21:03:41 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e5277887bc53cf522bc5d9f94966a2f06d1568d3

commit e5277887bc53cf522bc5d9f94966a2f06d1568d3
Merge: 4a2044d 212851f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Nov 20 20:27:04 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Nov 20 20:27:04 2015 -0500

    Merge branch '5.5.z_stack_in_tenant' into '5.5.z'
    
    Fix create a stack in non-default cloud tenant
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1283402
    
    Original PR: https://github.com/ManageIQ/manageiq/pull/5534
    
    See merge request !515

 .../providers/openstack/cloud_manager/orchestration_stack.rb |  8 +++++---
 app/models/orchestration_stack.rb                            |  2 ++
 spec/factories/cloud_tenants.rb                              |  3 +++
 .../openstack/cloud_manager/orchestration_stack_spec.rb      | 12 ++++++++----
 4 files changed, 18 insertions(+), 7 deletions(-)
Comment 6 Pavol Kotvan 2015-11-25 09:58:22 EST
Verified on 5.5.0.12 appliance. I was able to deploy heat template into 2 non-admin tenants without problems. Tested with RHOS7-GA provider.
Comment 8 errata-xmlrpc 2015-12-08 08:48:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.